import 'package:flutter/material.dart';

import 'package:hub/backend/schema/enums/enums.dart';
import 'package:hub/components/molecular_components/menu_item/menu_item.dart';
import 'package:hub/components/organism_components/menu_component/menu_component_model.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';

import 'package:hub/pages/about_property_page/about_property_screen.dart';

class AboutPropertyModel extends FlutterFlowModel<AboutPropertyPage> {
  dynamic item;

  VoidCallback? safeSetState;

  late MenuComponentModel menuComponentModel;

  Future<void> initAsync() async {
    safeSetState?.call();
  }

  @override
  void initState(BuildContext context) {
    menuComponentModel = createModel(
        context,
        () => MenuComponentModel(expandable: true, style: MenuView.list_grid, item: MenuItem.button, menuOptions: [
              MenuOption.PetsOnTheProperty,
              MenuOption.ResidentsOnTheProperty,
              MenuOption.VisitsOnTheProperty,
              MenuOption.VehiclesOnTheProperty,
              MenuOption.PackagesOnTheProperty,
            ]));

    initAsync();
  }

  @override
  void dispose() {}
}
